const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let tags = ["Best Seller"];
    
    for (let i = 1; i <= vars.transform.max; i++) {
      tags.push("#" + i + " Best Seller");
    }

    Mesa.output.next({"tags": tags});
  }
}
